> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify FSSAI

> Use this API to retrieve information from a Food Safety and Standards Authority of India (FSSAI) licence or registration number.

View the [test data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#fssai) and use the information to trigger the validations. The test data can be used only in the sandbox environment.



## OpenAPI

````yaml post /fssai
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
  - name: FSSAI
    description: Operation related to FSSAI licence verification.
paths:
  /fssai:
    post:
      tags:
        - FSSAI
      summary: Verify FSSAI
      description: >-
        Use this API to retrieve information from a Food Safety and Standards
        Authority of India (FSSAI) licence or registration number.


        View the [test
        data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#fssai)
        and use the information to trigger the validations. The test data can be
        used only in the sandbox environment.
      operationId: VrsFssaiVerification
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
      requestBody:
        $ref: '#/components/requestBodies/FssaiRequest'
      responses:
        '200':
          $ref: '#/components/responses/FssaiResponse'
        '400':
          $ref: '#/components/responses/Response400Fssai'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '409':
          $ref: '#/components/responses/Response409DuplicateId'
        '422':
          $ref: '#/components/responses/Response422'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500V2'
        '502':
          $ref: '#/components/responses/Response502V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
  requestBodies:
    FssaiRequest:
      description: >-
        Find the request parameters to retrieve the FSSAI licence or
        registration information.
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FssaiRequestSchema'
  responses:
    FssaiResponse:
      description: >-
        Success response for retrieving the FSSAI licence or registration
        information.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FssaiResponseSchema'
          examples:
            VALID (Central/State License):
              value:
                verification_id: tfqgzsXu3Z
                reference_id: 3478291
                status: VALID
                fssai_number: '10121002000677'
                business_name: SUNRISE FOODS PRIVATE LIMITED
                license_type: State License
                license_active_flag: true
                fbo_id: '1234567'
                address: M-01 & 02, Ground Floor, District Center, Saket
                village: Saket
                taluk: South Delhi
                district: South
                state: Delhi
                pincode: '110017'
                products:
                  - kind_of_business_id: '105'
                    kind_of_business_category: General Manufacturing
                    product_name: Jam, Jelly and marmalade
                  - kind_of_business_id: '105'
                    kind_of_business_category: General Manufacturing
                    product_name: Tomato Ketchup, Vegetable sauce
            VALID (Registration):
              value:
                verification_id: tfqgzsXu3Z
                reference_id: 3478291
                status: VALID
                fssai_number: '20121002000678'
                business_name: SUNRISE FOODS PRIVATE LIMITED
                license_type: Registration
                license_active_flag: true
                fbo_id: '1234567'
                address: M-01 & 02, Ground Floor, District Center, Saket
                village: Saket
                taluk: South Delhi
                district: South
                state: Delhi
                pincode: '110017'
                products:
                  - product_id: '1401'
                    product_name: Non-alcoholic beverages
                  - product_id: '0701'
                    product_name: Bakery products
            INVALID:
              value:
                verification_id: tfqgzsXu3Z
                reference_id: 3478291
                status: INVALID
                fssai_number: '99121002000679'
                business_name: null
                license_type: null
                license_active_flag: null
                fbo_id: null
                address: null
                village: null
                taluk: null
                district: null
                state: null
                pincode: null
                products: []
    Response400Fssai:
      description: Validation errors for Verify FSSAI API.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Verification ID Missing:
              $ref: '#/components/examples/VerificationIdMissing'
            Verification ID With Special Chars:
              $ref: '#/components/examples/VerificationIdWithSpecialCharacter'
            FSSAI Number Missing:
              $ref: '#/components/examples/FssaiNumberMissing'
            Verification ID Length Exceeded:
              $ref: '#/components/examples/FssaiVerificationIdLengthExceeded'
            Invalid FSSAI Number:
              $ref: '#/components/examples/InvalidFssaiNumber'
            Invalid FSSAI Number Length:
              $ref: '#/components/examples/InvalidFssaiNumberLength'
            Client ID/Client Secret in Missing:
              $ref: '#/components/examples/XClientIdMissing'
            Using-Test-Credentials-in-Prod:
              $ref: '#/components/examples/UsingTestCredentialsInProd'
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    Response409DuplicateId:
      description: Conflict error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Conflict Error:
              value:
                type: validation_error
                code: verification_id_already_exists
                message: verification ID already exists
    Response422:
      description: >-
        Validation error because of insufficient balance to process this
        request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Insufficient balance:
              value:
                type: validation_error
                code: insufficient_balance
                message: Insufficient balance to process this request
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500V2:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
    Response502V2:
      description: Gateway error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Bad Gateway:
              value:
                type: internal_error
                code: verification_failed
                message: verification attempt failed
  schemas:
    FssaiRequestSchema:
      type: object
      required:
        - verification_id
        - fssai_number
      example:
        verification_id: tfqgzsXu3Z
        fssai_number: '10121002000677'
      properties:
        verification_id:
          description: >-
            It is the unique ID you create to identify the API request. The
            maximum character limit is 50. Alphanumeric, period (.), hyphen (-),
            and underscore ( _ ) are allowed.
          type: string
          example: tfqgzsXu3Z
          default: tfqgzsXu3Z
        fssai_number:
          description: >-
            It is the 14-digit licence or registration number issued by the Food
            Safety and Standards Authority of India (FSSAI).
          type: string
          example: '10121002000677'
          default: '10121002000677'
    FssaiResponseSchema:
      type: object
      example:
        VALID (Central/State License):
          value:
            verification_id: tfqgzsXu3Z
            reference_id: 3478291
            status: VALID
            fssai_number: '10121002000677'
            business_name: SUNRISE FOODS PRIVATE LIMITED
            license_type: State License
            license_active_flag: true
            fbo_id: '1234567'
            address: M-01 & 02, Ground Floor, District Center, Saket
            village: Saket
            taluk: South Delhi
            district: South
            state: Delhi
            pincode: '110017'
            products:
              - kind_of_business_id: '105'
                kind_of_business_category: General Manufacturing
                product_name: Jam, Jelly and marmalade
              - kind_of_business_id: '105'
                kind_of_business_category: General Manufacturing
                product_name: Tomato Ketchup, Vegetable sauce
        VALID (Registration):
          value:
            verification_id: tfqgzsXu3Z
            reference_id: 3478291
            status: VALID
            fssai_number: '20121002000678'
            business_name: SUNRISE FOODS PRIVATE LIMITED
            license_type: Registration
            license_active_flag: true
            fbo_id: '1234567'
            address: M-01 & 02, Ground Floor, District Center, Saket
            village: Saket
            taluk: South Delhi
            district: South
            state: Delhi
            pincode: '110017'
            products:
              - product_id: '1401'
                product_name: Non-alcoholic beverages
              - product_id: '0701'
                product_name: Bakery products
      properties:
        verification_id:
          type: string
          description: It displays the unique ID you created to identify the API request.
          example: tfqgzsXu3Z
        reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree for reference
            purposes.

            format: `int64`
          example: 3478291
        status:
          type: string
          description: >-
            It displays the status of the FSSAI information. Possible values are
            `VALID` (the FSSAI number is valid) and `INVALID` (the FSSAI number
            is invalid).
          example: VALID
        fssai_number:
          type: string
          description: It displays the entered FSSAI licence or registration number.
          example: '10121002000677'
        business_name:
          type: string
          description: It displays the name of the food business operator.
          example: SUNRISE FOODS PRIVATE LIMITED
        license_type:
          type: string
          description: >-
            It displays the licence category. Possible values are
            `Registration`, `State License`, and `Central License`.
          example: State License
        license_active_flag:
          type: boolean
          description: It displays whether the licence is currently active.
          example: true
        fbo_id:
          type: string
          description: It displays the unique identifier of the food business operator.
          example: '1234567'
        address:
          type: string
          description: It displays the premise address of the food business operator.
          example: M-01 & 02, Ground Floor, District Center, Saket
        village:
          type: string
          description: It displays the village of the premise.
          example: Saket
        taluk:
          type: string
          description: It displays the sub-district (taluk) of the premise.
          example: South Delhi
        district:
          type: string
          description: It displays the district of the premise.
          example: South
        state:
          type: string
          description: It displays the state of the premise.
          example: Delhi
        pincode:
          type: string
          description: It displays the pincode of the premise.
          example: '110017'
        products:
          type: array
          description: >-
            It displays the list of products or business categories permitted
            under the licence. The object shape varies by `license_type`:
            `product_id` is present only for `Registration`, and
            `kind_of_business_id` and `kind_of_business_category` are present
            only for `State License` and `Central License`.
          items:
            type: object
            properties:
              product_name:
                type: string
                description: It displays the name or description of the food product.
                example: Jam, Jelly and marmalade
              product_id:
                type: string
                description: >-
                  It displays the product code. Present only when `license_type`
                  is `Registration`.
                example: '1401'
              kind_of_business_id:
                type: string
                description: >-
                  It displays the business category code. Present only when
                  `license_type` is `State License` or `Central License`.
                example: '105'
              kind_of_business_category:
                type: string
                description: >-
                  It displays the business category name. Present only when
                  `license_type` is `State License` or `Central License`.
                example: General Manufacturing
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
  examples:
    VerificationIdMissing:
      value:
        type: validation_error
        code: verification_id_missing
        message: verification_id is missing in the request.
    VerificationIdWithSpecialCharacter:
      value:
        type: validation_error
        code: verification_id_value_invalid
        message: >-
          verification_id can include only alphanum, dot, hyphen and
          underscores.
    FssaiNumberMissing:
      value:
        type: validation_error
        code: fssai_number_missing
        message: fssai_number is missing in the request.
    FssaiVerificationIdLengthExceeded:
      value:
        type: validation_error
        code: verification_id_length_exceeded
        message: verification_id can include a maximum of 50 characters.
    InvalidFssaiNumber:
      value:
        type: validation_error
        code: fssai_number_value_invalid
        message: fssai_number should be a number.
    InvalidFssaiNumberLength:
      value:
        type: validation_error
        code: fssai_number_value_invalid
        message: fssai_number should be 14 characters.
    XClientIdMissing:
      value:
        type: validation_error
        code: x-client-id_missing
        message: x-client-id is missing in the request.
    UsingTestCredentialsInProd:
      value:
        type: validation_error
        code: x-client-secret_value_invalid
        message: Client secret belongs to test environment
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.